VariableGapTermsIndexReader (Lucene 10.5.1 codecs API)
Description: declaration: package: org.apache.lucene.codecs.blockterms, class: VariableGapTermsIndexReader

Package org.apache.lucene.codecs.blockterms

# Class VariableGapTermsIndexReader

java.lang.Object
org.apache.lucene.codecs.blockterms.TermsIndexReaderBase
org.apache.lucene.codecs.blockterms.VariableGapTermsIndexReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class VariableGapTermsIndexReader extends TermsIndexReaderBase
See `VariableGapTermsIndexWriter`

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

  `TermsIndexReaderBase.FieldIndexEnum`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableGapTermsIndexReader(SegmentReadState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `TermsIndexReaderBase.FieldIndexEnum`
  `getFieldEnum(FieldInfo fieldInfo)`
  `boolean`
  `supportsOrd()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VariableGapTermsIndexReader

    public VariableGapTermsIndexReader(SegmentReadState state) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### supportsOrd

    public boolean supportsOrd()
    Specified by:
      `supportsOrd` in class `TermsIndexReaderBase`

  - ### getFieldEnum

    public TermsIndexReaderBase.FieldIndexEnum getFieldEnum(FieldInfo fieldInfo)
    Specified by:
      `getFieldEnum` in class `TermsIndexReaderBase`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in class `TermsIndexReaderBase`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`